> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/it/api-pubblica-di-exoclick/api-manual-interface.md).

# Interfaccia API

Il [Interfaccia API](https://api.exoclick.com/v2/docs/) è una rappresentazione dell'API di ExoClick progettata per descrivere in dettaglio le richieste disponibili, i relativi parametri e le risposte previste. Puoi visualizzarla dal Pannello di amministrazione.

Tutte le richieste API sono elencate sotto il relativo gruppo.

Per accedere alle richieste API ristrette, deve essere impostato un token di sessione. Per impostare un token, devi avere un account valido con il nome utente e la password richiesti oppure un token API. Fai clic sul **Accedi** pulsante in alto a destra dello schermo e inserisci il tuo nome utente e la password oppure fornisci un token API. Dopo aver fatto clic sul **Accedi** pulsante, verrà inviata all'API una richiesta di accesso per recuperare un token di sessione valido. Questo token verrà quindi utilizzato per convalidare tutte le richieste API che desideri effettuare in quella sessione.

Per effettuare una richiesta all'API, fai clic su un gruppo. Il gruppo si espanderà per elencare le richieste disponibili. Fai nuovamente clic sulla richiesta desiderata. Si espanderà un pannello con i dettagli della richiesta.

* Il **Corpo della risposta**, se presente, verrà mostrato per primo insieme alla risposta **Tipo di contenuto**.
* Il **Parametri della richiesta**, obbligatori e/o facoltativi, sono dettagliati di seguito, insieme alla richiesta **Tipo di contenuto**, se richiesta.
* Previsti **Messaggi di risposta** sono quindi elencati.
* Per effettuare la richiesta, compila i parametri richiesti. Se il corpo della richiesta è dettagliato, facendo clic sul corpo nella **Modello** finestra precompilerà la finestra dei parametri con il corpo.
* Una volta impostati tutti i parametri richiesti, facendo clic sul **Prova** pulsante eseguirà la richiesta.
* Sotto il pulsante appariranno quattro pannelli:
  * Il primo mostra il completo **URL della richiesta**.
  * Il secondo dettaglia il **Corpo della risposta**.
  * Il terzo dettaglia il **Codice di risposta**.
  * Il quarto dettaglia gli **Intestazioni della risposta**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/api/it/api-pubblica-di-exoclick/api-manual-interface.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
